Up

# NSDataLinkManager

### Authors

Gregory John Casamento (`greg_casamento@yahoo.com`)
Scott Christley (`scottc@net-community.com`)

Copyright: (C) 1996, 2005 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSDataLinkManager class
2. Software documentation for the NSObject(NSDataLinkManagerDelegate) informal protocol

# Software documentation for the NSDataLinkManager class

## NSDataLinkManager : NSObject

> Declared in:
>   AppKit/NSDataLinkManager.h

> Conforms to:
>   NSCoding

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -addLink:at:
- -addLinkAsMarker:at:
- -addLinkPreviouslyAt:fromPasteboard:at:
- -areLinkOutlinesVisible
- -breakAllLinks
- -delegate
- -delegateVerifiesLinks
- -destinationLinkEnumerator
- -destinationLinkWithSelection:
- -filename
- -initWithDelegate:
- -initWithDelegate:fromFile:
- -interactsWithUser
- -isEdited
- -noteDocumentClosed
- -noteDocumentEdited
- -noteDocumentReverted
- -noteDocumentSaved
- -noteDocumentSavedAs:
- -noteDocumentSavedTo:
- -setDelegateVerifiesLinks:
- -setInteractsWithUser:
- -setLinkOutlinesVisible:
- -sourceLinkEnumerator
- -writeLinksToPasteboard:

### addLink: at:

- (BOOL) addLink: (NSDataLink*)link at: (NSSelection*)selection;
Availability: OpenStep
Description forthcoming.

### addLinkAsMarker: at:

- (BOOL) addLinkAsMarker: (NSDataLink*)link at: (NSSelection*)selection;
Availability: OpenStep
Description forthcoming.

### addLinkPreviouslyAt: fromPasteboard: at:

- (NSDataLink*) addLinkPreviouslyAt: (NSSelection*)oldSelection fromPasteboard: (NSPasteboard*)pasteboard at: (NSSelection*)selection;
Availability: OpenStep
Description forthcoming.

### areLinkOutlinesVisible

- (BOOL) areLinkOutlinesVisible;
Availability: OpenStep
Description forthcoming.

### breakAllLinks

- (void) breakAllLinks;
Availability: OpenStep
Description forthcoming.

### delegate

- (id) delegate;
Availability: OpenStep
Description forthcoming.

### delegateVerifiesLinks

- (BOOL) delegateVerifiesLinks;
Availability: OpenStep
Description forthcoming.

### destinationLinkEnumerator

- (NSEnumerator*) destinationLinkEnumerator;
Availability: OpenStep
Description forthcoming.

### destinationLinkWithSelection:

- (NSDataLink*) destinationLinkWithSelection: (NSSelection*)destSel;
Availability: OpenStep
Description forthcoming.

### filename

- (NSString*) filename;
Availability: OpenStep
Description forthcoming.

### initWithDelegate:

- (id) initWithDelegate: (id)anObject;
Availability: OpenStep
Description forthcoming.

### initWithDelegate: fromFile:

- (id) initWithDelegate: (id)anObject fromFile: (NSString*)path;
Availability: OpenStep
Description forthcoming.

### interactsWithUser

- (BOOL) interactsWithUser;
Availability: OpenStep
Description forthcoming.

### isEdited

- (BOOL) isEdited;
Availability: OpenStep
Description forthcoming.

### noteDocumentClosed

- (void) noteDocumentClosed;
Availability: OpenStep
Description forthcoming.

### noteDocumentEdited

- (void) noteDocumentEdited;
Availability: OpenStep
Description forthcoming.

### noteDocumentReverted

- (void) noteDocumentReverted;
Availability: OpenStep
Description forthcoming.

### noteDocumentSaved

- (void) noteDocumentSaved;
Availability: OpenStep
Description forthcoming.

### noteDocumentSavedAs:

- (void) noteDocumentSavedAs: (NSString*)path;
Availability: OpenStep
Description forthcoming.

### noteDocumentSavedTo:

- (void) noteDocumentSavedTo: (NSString*)path;
Availability: OpenStep
Description forthcoming.

### setDelegateVerifiesLinks:

- (void) setDelegateVerifiesLinks: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setInteractsWithUser:

- (void) setInteractsWithUser: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### setLinkOutlinesVisible:

- (void) setLinkOutlinesVisible: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### sourceLinkEnumerator

- (NSEnumerator*) sourceLinkEnumerator;
Availability: OpenStep
Description forthcoming.

### writeLinksToPasteboard:

- (void) writeLinksToPasteboard: (NSPasteboard*)pasteboard;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSDataLinkManager Class

### _flags

@protected struct __dlmFlags _flags;
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### delegate

@protected id delegate;
Description forthcoming.

### destinationLinks

@protected NSMutableArray* destinationLinks;
Description forthcoming.

### filename

@protected NSString* filename;
Description forthcoming.

### sourceLinks

@protected NSMutableArray* sourceLinks;
Description forthcoming.

# Software documentation for the NSObject(NSDataLinkManagerDelegate) informal protocol

## NSObject(NSDataLinkManagerDelegate)

> Declared in:
>   AppKit/NSDataLinkManager.h

Availability: OpenStep
Description forthcoming.
Method summary

- -copyToPasteboard:at:cheapCopyAllowed:
- -dataLinkManager:didBreakLink:
- -dataLinkManager:isUpdateNeededForLink:
- -dataLinkManager:startTrackingLink:
- -dataLinkManager:stopTrackingLink:
- -dataLinkManagerCloseDocument:
- -dataLinkManagerDidEditLinks:
- -dataLinkManagerRedrawLinkOutlines:
- -dataLinkManagerTracksLinksIndividually:
- -importFile:at:
- -pasteFromPasteboard:at:
- -showSelection:
- -windowForSelection:

### copyToPasteboard: at: cheapCopyAllowed:

- (BOOL) copyToPasteboard: (NSPasteboard*)pasteboard at: (NSSelection*)selection cheapCopyAllowed: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

### dataLinkManager: didBreakLink:

- (void) dataLinkManager: (NSDataLinkManager*)sender didBreakLink: (NSDataLink*)link;
Availability: OpenStep
Description forthcoming.

### dataLinkManager: isUpdateNeededForLink:

- (BOOL) dataLinkManager: (NSDataLinkManager*)sender isUpdateNeededForLink: (NSDataLink*)link;
Availability: OpenStep
Description forthcoming.

### dataLinkManager: startTrackingLink:

- (void) dataLinkManager: (NSDataLinkManager*)sender startTrackingLink: (NSDataLink*)link;
Availability: OpenStep
Description forthcoming.

### dataLinkManager: stopTrackingLink:

- (void) dataLinkManager: (NSDataLinkManager*)sender stopTrackingLink: (NSDataLink*)link;
Availability: OpenStep
Description forthcoming.

### dataLinkManagerCloseDocument:

- (void) dataLinkManagerCloseDocument: (NSDataLinkManager*)sender;
Availability: OpenStep
Description forthcoming.

### dataLinkManagerDidEditLinks:

- (void) dataLinkManagerDidEditLinks: (NSDataLinkManager*)sender;
Availability: OpenStep
Description forthcoming.

### dataLinkManagerRedrawLinkOutlines:

- (void) dataLinkManagerRedrawLinkOutlines: (NSDataLinkManager*)sender;
Availability: OpenStep
Description forthcoming.

### dataLinkManagerTracksLinksIndividually:

- (BOOL) dataLinkManagerTracksLinksIndividually: (NSDataLinkManager*)sender;
Availability: OpenStep
Description forthcoming.

### importFile: at:

- (BOOL) importFile: (NSString*)filename at: (NSSelection*)selection;
Availability: OpenStep
Description forthcoming.

### pasteFromPasteboard: at:

- (BOOL) pasteFromPasteboard: (NSPasteboard*)pasteboard at: (NSSelection*)selection;
Availability: OpenStep
Description forthcoming.

### showSelection:

- (BOOL) showSelection: (NSSelection*)selection;
Availability: OpenStep
Description forthcoming.

### windowForSelection:

- (NSWindow*) windowForSelection: (NSSelection*)selection;
Availability: OpenStep
Description forthcoming.

Up